#
# spec file for package id-utils (Version 3.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf emacs emacs-x11 xaw3d xshared
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs emacs emacs-x11 file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xaw3d xshared

Name:         id-utils
Copyright:    GPL
Group:      Utilities/Console
Obsoletes:    id_utils
Autoreqprov:  on
Summary:      Language-independent identifier database tool
Version:      3.2
Release:      143
Source: ftp://ftp.gnu.org/pub/gnu/id-utils-3.2.tar.gz
Patch: id-utils-3.2.dif
BuildRoot: /var/tmp/id-utils

%description
mkid is a simple, fast, high-capacity, language-independent
identifier database tool.  Actually, the term `identifier' is too
limiting -- mkid stores tokens, be the program identifiers of any
form, literal numbers, or words of human-readable text.  Database
queries can be issued from the command-line, or from within emacs,
serving as an augmented tags facility.

Authors:
--------
    McGary <gkm@gnu.ai.mit.edu>
    <Tom.Horsley@mail.hcsc.com>

SuSE series: ap

%prep
%setup
%patch

%build
rm -f lib/regex.[ch]
autoconf
CFLAGS=$RPM_OPT_FLAGS INSTALL_PROGRAM='${INSTALL} -s' \
./configure --prefix=%{_prefix} --infodir=%{_infodir} \
            --with-regex
export LC_CTYPE=ISO-8859-1
make

%install
install -d $RPM_BUILD_ROOT%{_prefix}/share
make install prefix=$RPM_BUILD_ROOT%{_prefix} \
             infodir=$RPM_BUILD_ROOT%{_infodir}
install -d $RPM_BUILD_ROOT/var/lib/id-utils
install -m644 libidu/id-lang.map $RPM_BUILD_ROOT/var/lib/id-utils
rm -f $RPM_BUILD_ROOT%{_prefix}/share/id-lang.map
install -d $RPM_BUILD_ROOT%{_prefix}/share/emacs/site-lisp
install -m644 lisp/id-utils.el lisp/id-utils.elc \
              $RPM_BUILD_ROOT%{_prefix}/share/emacs/site-lisp
ln -s ../../var/lib/id-utils/id-lang.map $RPM_BUILD_ROOT%{_prefix}/share/id-lang.map
export RPM_BUILD_ROOT

%files
%doc ABOUT-NLS AUTHORS COPYING NEWS README THANKS TODO
%config /var/lib/id-utils/id-lang.map
%dir /var/lib/id-utils
%{_prefix}/share/id-lang.map
%{_prefix}/share/emacs/site-lisp/id-utils.el
%{_prefix}/share/emacs/site-lisp/id-utils.elc
%{_prefix}/share/locale/*/LC_MESSAGES/id-utils.mo
%{_prefix}/bin/mkid
%{_prefix}/bin/lid
%{_prefix}/bin/fid
%{_prefix}/bin/fnid
%{_prefix}/bin/xtokid
%{_prefix}/bin/eid
%{_prefix}/bin/aid
%{_prefix}/bin/gid
%{_prefix}/bin/defid
%{_infodir}/id-utils.info*

%changelog -n id-utils
* Mon Sep 03 2001 - schwab@suse.de
- Fix problem with rehashing.
- Fix crashes due to missing files.
- Use fgets instead of gets.
* Wed Jun 06 2001 - schwab@suse.de
- Fix for new configure tools.
* Tue Mar 13 2001 - ro@suse.de
- added emacs-x11 to neededforbuild
* Thu Mar 08 2001 - schwab@suse.de
- Add xshared to neededforbuild.
* Fri Dec 08 2000 - schwab@suse.de
- Use regex from libc.
- Fix configure script.
* Fri Nov 17 2000 - kukuk@suse.de
- fix neededforbuild: ge_exec -> emacs
* Tue Oct 24 2000 - schwab@suse.de
- Renamed from id_utils
* Thu Jan 20 2000 - ke@suse.de
- Apply patch from ak@suse.de: fix segfault when given no arguments
  (#1736).
- /usr/info -> usr/share/info.
- configure -> %%build.
- add group tag.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Mar 17 1999 - ro@suse.de
- changed diff file
* Mon Jul 27 1998 - bs@suse.de
- added export LC_CTYPE=ISO-8859-1 to build section - emacs needs it.
* Fri Jul 17 1998 - ke@suse.de
- Apply patch from Greg McGary to recognize C++ files.
- Improve $RPM_BUILD_ROOT.
* Fri Jul 10 1998 - bs@suse.de
- added xaw3d to neededforbuild (ge_exec needs it)
* Thu Oct 09 1997 - Karl Eichwalder <ke@suse.de>
  * .spec: add $RPM_BUILD_ROOT.
* Mon Sep 22 1997 - Karl Eichwalder <ke@suse.de>
  * .spec (preamble): #neededforbuild ge_exec.
  * .spec (%%install): Do Check, create link.
  * .spec (%%post, %%preun): Remove both.
  * .spec (%%files): Add /usr/share/id-lang.map.
* Wed Sep 10 1997 - Karl Eichwalder <ke@suse.de>
  * Use spec file.
* Sat Aug 16 1997 - Karl Eichwalder <ke@suse.de>
  * initial package: version 3.2
